# $Revision: 1.49 $, $Date: 2007/01/21 01:25:33 $
Summary:	A powerful batch renamer for KDE
Summary(pl):	Narzdzie do zmiany nazw plikw dla KDE
Name:		krename
Version:	3.0.13
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/krename/%{name}-%{version}.tar.bz2
# Source0-md5:	93b4a74d0ef67213a5947dc5fb10b9cf
Source1:	http://dl.sourceforge.net/krename/%{name}-3.0.3.pdf
# Source1-md5:	0e598b7acf88e80bf76fdfd22d8c7929
Patch0:		%{name}-desktop.patch
URL:		http://www.krename.net/
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Krename is a very powerful batch file renamer for KDE3 which can
rename a list of files based on a set of expressions. It can copy/move
the files to another directory or simply rename the input files.
Krename supports many conversion operations, including conversion of a
filename to lowercase or to uppercase, conversion of the first letter
of every word to uppercase, adding numbers to filenames, finding and
replacing parts of the filename, and many more. It can also change
access and modification dates, permissions, and file ownership.

%description -l pl
Krename jest narzdziem do zmiany nazw plikw dla KDE3, ktre umoliwia
zmian nazw dla listy plikw na podstawie zbioru wyrae. Pozwala
kopiowa i/lub przenosi pliki do innego katalogu lub po prostu
zmienia nazwy plikw. Krename wspiera rne operacje konwersji,
midzy innymi konwersj nazw plikw do maych lub do wielkich liter,
konwersj pierwszej litery kadego sowa do wielkiej litery, dodanie
numeru do nazwy pliku, zmian konkretnej czci nazwy pliku i inne.
Program pozwala rwnie na zmian daty dostpu i modyfikacji,
uprawnie oraz wasnoci plikw.

%package doc
Summary:	Krename documentation
Summary(pl):	Dokumentacja programu Krename
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Krename in PDF format.

%description doc -l pl
Dokumentacja do Krename w formacie PDF.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT	\
	kde_htmldir=%{_kdedocdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh_TW.Big5,zh_TW}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh_CN.GB2312,zh_CN}
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kde/*.desktop
%{_datadir}/apps/krename
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%files doc
%defattr(644,root,root,755)
%doc krename-3.0.3.pdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: krename.spec,v $
Revision 1.49  2007/01/21 01:25:33  darekr
- updated to 3.0.13

Revision 1.48  2006/09/08 19:42:36  maciek2w
- updated to 3.0.12

Revision 1.47  2006/02/27 15:24:01  megabajt
- up to 3.0.11

Revision 1.46  2006/01/12 00:50:32  charles
- updated to 3.0.10

Revision 1.45  2005/10/18 21:15:29  megabajt
- fix log message

Revision 1.44  2005/10/18 21:08:00  megabajt
- added doc package with external documentation
- release 2

Revision 1.43  2005/10/18 19:32:35  megabajt
- updated to 3.0.9

Revision 1.42  2005/10/07 22:14:44  megabajt
- up to 3.0.8

Revision 1.41  2005/08/29 08:15:43  adamg
- updated to 3.0.7

Revision 1.40  2005/06/27 10:36:55  charles
- reverted last change (redundant BR libstdc++-devel)

Revision 1.39  2005/06/25 19:30:14  darekr
- BR: libstdc++-devel

Revision 1.38  2005/06/25 18:53:39  blekot
- up to 3.0.6

Revision 1.37  2005/06/04 08:06:39  megabajt
- up to 3.0.5

Revision 1.36  2005/05/08 16:50:07  darekr
- moved desktop file to %{_desktopdir}/kde

Revision 1.35  2005/05/08 08:03:30  megabajt
- up to 3.0.4

Revision 1.34  2005/02/22 19:59:59  darekr
- redefined kde_htmldir in %%install

Revision 1.33  2005/02/14 12:25:46  charles
- updated to 3.0.3

Revision 1.32  2005/01/12 02:14:20  charles
- new URL

Revision 1.31  2004/08/08 11:30:33  adamg
- updated to 3.0.2

Revision 1.30  2004/07/16 14:45:30  qboosh
- typo

Revision 1.29  2004/07/15 12:21:02  qboosh
- _kde_docdir requires macros >= 1.129

Revision 1.28  2004/07/15 10:26:32  qboosh
- release 3

Revision 1.27  2004/07/15 10:20:53  qboosh
- --with-qt-libraries

Revision 1.26  2004/07/15 10:14:37  qboosh
- added desktop patch, switched to vfolders
- more files fixes, release 2

Revision 1.25  2004/07/09 21:54:28  adamg
- updated to 3.0.0

Revision 1.24  2004/04/13 12:18:41  adamg
- updated to 2.9.4

Revision 1.23  2004/04/09 06:17:25  adamg
- BuildRequires: automake
- release 2

Revision 1.22  2004/04/09 06:10:18  adamg
- phew. copy config.sub into admin/ directory

Revision 1.21  2004/04/09 06:07:51  adamg
- be brutal, use force

Revision 1.20  2004/04/09 06:07:05  adamg
- refresh config.sub

Revision 1.19  2004/04/08 22:39:15  adamg
- updated to 2.9.3

Revision 1.18  2004/02/29 10:55:21  adamg
- updated to 2.9.2

Revision 1.17  2004/02/04 18:17:23  adamg
- updated to 2.9.1

Revision 1.16  2004/01/05 15:30:11  adamg
- updated to 2.8.5

Revision 1.15  2003/12/12 20:27:05  adamg
- updated to 2.8.4

Revision 1.14  2003/10/21 19:22:58  adamg
- updated to 2.8.3

Revision 1.13  2003/09/03 10:57:43  qboosh
- typo

Revision 1.12  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.11  2003/08/08 18:48:16  mkierus
- updated to 2.8.2

Revision 1.10  2003/06/17 08:30:29  qboosh
- up to 2.7.2

Revision 1.9  2003/06/17 08:11:34  qboosh
- cleanups, use plain install not install-strip, fixed zh_TW locale dir

Revision 1.8  2003/06/16 19:48:03  blues
- cosmetics

Revision 1.7  2003/05/28 12:59:23  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/17 12:32:31  mkierus
- updated to 2.5.4

Revision 1.4  2003/03/16 19:56:43  adamg
- fixed url.

Revision 1.3  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.2  2002/12/28 14:50:32  mkierus
- fix BuildRequires

Revision 1.1  2002/12/28 14:32:21  mkierus
- initial pld release
